import com.spire.xls.Workbook;
import com.spire.xls.Worksheet;
import com.spire.xls.collections.WorksheetsCollection;
import org.junit.jupiter.api.Test;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

public class Test07 {
    @Test
    public void TestExcel() throws FileNotFoundException {
        FileInputStream inputStream = new FileInputStream("input\\testPwd.xlsx");
        Workbook workbook = new Workbook();
        workbook.setOpenPassword("1010");
        workbook.loadFromStream(inputStream);

        WorksheetsCollection worksheets = workbook.getWorksheets();
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < worksheets.size(); i++) {
            Worksheet worksheet = worksheets.get(i);
            String name = worksheet.getName();
            sb.append(name).append(",");
            for (int rowNum = worksheet.getFirstRow(); rowNum <= worksheet.getLastRow(); rowNum++) {
                for (int columnNum = worksheet.getFirstColumn(); columnNum <= worksheet.getLastColumn(); columnNum++) {
                    String text = worksheet.getText(rowNum, columnNum);
                    if (text != null) {
                        sb.append(text.trim());
                    }
                }
            }
            System.out.println(sb);
        }
    }
}
